You are not logged in.

Dear visitor, welcome to krpano.com Forum. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

1

Friday, November 23rd 2012, 3:07pm

krpano 1.0.8.10 version licenses not working on krpano 1.0.8.15 version

Hi,

My Company owns a KRPANO 1.0.8.10 license. Until now everything went OK. But now I want to upgrade to the last krpano version (1.0.8.15) so I can take advantage from the make vtour droplets. The problem is that I can't make it work.

I copied my licenses (krpano.license, krpanotools.license, krpanoiphone.license.js) to my new krpanotools 1.0.8.15 folder, and now each time I try to use krpano I get this message

ERROR: calling the kprotectcl tool failed!

Am I doing something wrong? Is not supposed the krpano licenses are valid for all current and following versions of the viewer?



Thank you very much! *smile*
Rui

Tuur

Sage

Posts: 3,387

Location: Netherlands

Occupation: Krpano custom coding / Virtual Tours / Photography / Musician / Recording engineer

  • Send private message

2

Friday, November 23rd 2012, 4:45pm

Hi,
I suggest to do the download again.
Make shure all license are on the right place.
Then it should be ok.
My license is much older and i have no problems at all.

So, re-download!

Hope it helps.
Tuur *thumbsup*

3

Friday, November 23rd 2012, 6:49pm

krpano 1.0.8.10 version licenses not working on krpano 1.0.8.15 version

Hi,
I suggest to do the download again.
Make shure all license are on the right place.
Then it should be ok.
My license is much older and i have no problems at all.
Hi Tuur!

Thank you very much for your reply *thumbup* but I did just that several times without any success *sad*
I also tried to download the windows version and tested it on my PC just to try to understand if the problem was the Mac version but without success also. I got the same error message. I don't have a clue on what's the problem...

4

Monday, November 26th 2012, 7:53am

Hi,

If you want you can send me your license files - then I will check them.
Maybe they are got corrupted in any way for some reason (uploading, downloading...), but normally they should still work of course.

Best regards,
Klaus

5

Monday, November 26th 2012, 3:06pm

Hi Klaus!

Thank you very much for your reply! *thumbup*
Your sentence "Maybe they are got corrupted in any way for some reason (uploading, downloading...)" just rang a bell in my head. I replaced the licenses on my krpanotools folder with the originals I had archived on my email and bingo!! *thumbsup* Everythings now works smoothly and without a problem! It was certainly a case of file corruption.

Best regards,
Rui

This post has been edited 1 times, last edit by "ruiaperta" (Nov 26th 2012, 3:45pm)


6

Saturday, March 16th 2013, 4:27pm

I'm having a problem in relation to this case

Hi Klaus,

I check in my original purchased license files, only 3 files: googlemaps.swf, krpano.license, krpanotools.license

Meaning I do not have the HTML5 version. But when reading the license.txt in the 1.08.15 Tools, I see that krpanoiphone.license.js is needed to create the ipad/tablet compatible versions. That's the reason I couldn't get an Android tablet to view the panoramas. I just found that this license HAS to be bought seperately. This is what I'm going to do very soon. However I have 2 questions:

Can I use the newly bought "krpanoiphone.license.js" with the original license files which are old (dated 1/8/2011).
Also do I have to recreated the final swf files for it to be iphone/ipad/Android compatible.

Thanks.

7

Wednesday, March 20th 2013, 7:13pm

Hi,
Can I use the newly bought "krpanoiphone.license.js" with the original license files which are old (dated 1/8/2011).
Yes, this is no problem - all krpano licenses can be generally bought separately at any time.

Also do I have to recreated the final swf files for it to be iphone/ipad/Android compatible.
The swf itself will be not used for html5 - but when your xml itself is okay and you already have smaller mobile images - they you could try reusing the existing xml and existing images of course.

Best regards,
Klaus